%define ttfdir %_datadir/fonts/default/TrueType-urdu

Name: urdu-fonts-ttf
Version: 1.0
Release: alt3

Summary: Free Urdu TrueType font
Summary (ru_RU.UTF-8): Урду TrueType шрифт
License: GPL
Group: System/Fonts/True type
Url: http://www.yudit.org/download/fonts
Source: nastaliq.tar.bz2
BuildArch: noarch
BuildRequires: freetype
PreReq: chkfontpath freetype fontconfig

%description
This Package provides a free Urdu nastaliq style TrueType font.

%description -l ru_RU.UTF-8
В этом пакете находится TrueType шрифт Урду в стиле nastaliq.

%prep
%setup -q -n nastaliq

%install
mkdir -p $RPM_BUILD_ROOT%ttfdir
install -p -m644 *.ttf $RPM_BUILD_ROOT%ttfdir
install -p -m644 fonts.dir $RPM_BUILD_ROOT%ttfdir/fonts.dir
cd $RPM_BUILD_ROOT%ttfdir
ln -s %_sysconfdir/X11/encodings.dir encodings.dir
touch fonts.cache-1

%post
%_bindir/fc-cache %ttfdir ||:
%_sbindir/chkfontpath -q --add %ttfdir ||:

%postun
if [ "$1" = "0" ]; then
        %_sbindir/chkfontpath -q --remove %ttfdir ||:
fi

%triggerpostun -- %name < 1.0-alt3
%_sbindir/chkfontpath -q --add %ttfdir ||:

%files
%ttfdir
%doc nastaliq.txt

%changelog
* Wed Feb 18 2004 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt3
- %postun script fix

* Sun Aug 24 2003 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt2
- Changed dir
- Cleanups

* Fri Nov 29 2002 Vyacheslav Dikonov <slava@altlinux.ru> 1.0-alt1
- ALTLinux build
